TopStats.gg
Discord

Users

Watch out!

Data provided from this route may be inaccurate!

This is because bots moved to a team will remain on a users account irrespective of ownership.

GET
/discord/users/{id}/bots

Authorization

ApiKeyAuth
authorization<token>

In: header

Path Parameters

id*string

Discord snowflake ID

Match^[0-9]{17,19}$

Response Body

application/json

application/json

curl -X GET "https://api.topstats.gg/discord/users/583807014896140293/bots"
{
  "bots": [
    {
      "id": "432610292342587392",
      "topGGId": "432610292342587392",
      "certified": false,
      "owners": [
        "275748765166469120"
      ],
      "deleted": false,
      "name": "Mudae",
      "def_avatar": "1.png",
      "avatar": "https://cdn.discordapp.com/avatars/432610292342587392/29cb28fbf65a3958105026ab03abd306.png",
      "short_desc": "Database of 110,000 anime/game characters",
      "lib": "",
      "prefix": "$",
      "website": "https://www.patreon.com/mudae",
      "approved_at": "2018-04-21T21:17:57.793Z",
      "monthly_votes": 24852,
      "server_count": 3371839,
      "total_votes": 221182027,
      "monthly_votes_rank": 1,
      "server_count_rank": 15,
      "total_votes_rank": 1,
      "timestamp": "2025-05-01T08:00:00Z",
      "unix_timestamp": "1746086400000",
      "tags": [
        "anime",
        "fun",
        "game"
      ],
      "avg_review_rating": 4.526,
      "review_count": 10682,
      "percentage_changes": {
        "daily": 11.11,
        "monthly": 0.97
      }
    }
  ]
}
{
  "code": 404,
  "message": "Resource not found"
}